Bug 141369 - epoch displayed on package search results page
Summary: epoch displayed on package search results page
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site   
(Show other bugs)
Version: rhn360
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Max Spevack
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhn360sat
TreeView+ depends on / blocked
 
Reported: 2004-11-30 18:41 UTC by Max Spevack
Modified: 2007-04-18 17:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 20:07:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Max Spevack 2004-11-30 18:41:55 UTC
Description of problem:
There was a bug filed by Jay Turner (bug 135379) about removing the
epoch from the filename on a package details page.

This bug is fixed, but in testing it I noticed that we display the
epoch on the "packages by name" page

network/software/packages/name_overview.pxt

We should be consistent and remove it from there too.

Version-Release number of selected component (if applicable):
-68 ISO for rhn 360

How reproducible:
Always

Steps to Reproduce:
1. search for a package, like mozilla in the search bar on top
2. click the package name in the first results page
3. on the "packages by name" page you will see the issue.

Comment 1 Bret McMillan 2004-12-02 20:07:04 UTC
Jay's issue was a true *bug* in that we were guestimating the filename
from back before we had good schema for it in all cases.

I do not believe that showing the epoch is the wrong thing to do the
package search case.  Usually, it doesn't show up.  Sometimes, it
matters though, particularly in channel management, when epoch can be
the mitigating factor in uniqueness.

In general, I am of the opinion that RHN should display NVRE/NVREA
wherever possible to eliminate confusion.


Note You need to log in before you can comment on or make changes to this bug.